> For the complete documentation index, see [llms.txt](https://docs.fusion.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fusion.vectra.ai/detection-models/library/operational-governance/messaging_apple-push.md).

# messaging\_apple-push

Explanation The messaging\_apple-push NDM is designed to detect the presence of messaging applications on a network. It detects network traffic associated with Apple's Push Notification Service (APNS),

**Explanation**

The messaging\_apple-push NDM is designed to detect the presence of messaging applications on a network. It detects network traffic associated with Apple's Push Notification Service (APNS), specifically when it is used for the messaging app iMessage.

**What to Look For**

To investigate the messaging\_apple-push NDM event, you should look for network traffic associated with Apple's Push Notification Service. This may be seen through various application and protocol signatures, such as SSL/TLS traffic over port 443 or HTTP/2 traffic. Additionally, you should examine endpoints for the presence of the iMessage application or any other messaging applications associated with APNS traffic. This NDM event is triggered when APNS traffic is discovered on the network, indicating that messaging applications may be in use and potentially exposing sensitive information.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fusion.vectra.ai/detection-models/library/operational-governance/messaging_apple-push.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
